#import time
_id_len = 0


class Logger(object):
    def __init__(self, **kwargs):
        global _id_len
        self.identifier = kwargs.get('identifier', self.__class__.__name__)
        self.verbose = kwargs.get('verbose', 0)
        _id_len = max(_id_len, len(self.identifier))

    def log(self, msg, verbosity=1):
        # TODO: log time
        if self.verbose >= verbosity:
            print '| %s | %s' % ('%%-%ds' % _id_len % self.identifier, msg)
