from event import Event


class PointDownEvent(Event):
    """
    Addition of a simple touch point to the screen.
    """
    _type = 'point_down'


class PointMoveEvent(Event):
    """
    Movement of a simple touch point from the screen.
    """
    _type = 'point_move'


class PointUpEvent(Event):
    """
    Removal of a simple touch point from the screen.
    """
    _type = 'point_up'
